Skip to content
Open
Show file tree
Hide file tree
Changes from all commits
Commits
File filter

Filter by extension

Filter by extension

Conversations
Failed to load comments.
Loading
Jump to
Jump to file
Failed to load files.
Loading
Diff view
Diff view
8 changes: 5 additions & 3 deletions src/apiary.apib
Original file line number Diff line number Diff line change
Expand Up @@ -224,9 +224,10 @@ Create a new Publisher account attached to the authenticated User.
+ Request (application/json; charset=utf-8)
+ Attributes (Publisher Base)
+ account_name: newpublisher123 (required) - Unique advertiser account name
+ entity_id: 1 (required) - The relevant entity id
+ entity_id: 1 - The relevant entity id
+ network_id: 1l1000003 (required) - The relevant network id
+ entity_terms_id: 252 (required) - The terms and conditions for the specified entity
+ netowrk_terms_id: 77 (required) - The terms and conditions for the specified network

Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Typo on this


+ Response 200 (application/json; charset=utf-8)
+ Attributes (Publisher Wrapper)
Expand All @@ -249,8 +250,9 @@ Update the specified Publisher.

+ Request (application/json; charset=utf-8)
+ Attributes (Publisher Update)
+ publisher_id: 1l1007802 - ID of the publisher

+ publisher_id: 1l1007802 (required) - ID of the publisher
+ network_status: a - The status of the publisher on the network

+ Response 200 (application/json; charset=utf-8)
+ Attributes (Publisher Wrapper)

Expand Down
56 changes: 35 additions & 21 deletions src/common.apib
Original file line number Diff line number Diff line change
@@ -1,30 +1,39 @@
## Publisher Update (object)
+ promotional_method: 9 (number, required)
+ promotional_method: 9 (number)
+ description: Top performance (string, optional, nullable) - Description of the publisher
+ account_name: publisher123
+ Include Time Info
+ vertical: 10 (number)
+ promotional_method: 10 (number)
+ contact_email: demo@performancehorizon.com
+ websites (array[Publisher Website])
+ databases (array[Publisher Database])
+ contact_name: Pete Cheyne
+ default_currency (Currency)
+ Include Phone
+ network_notes (string, optional, nullable)
+ contact_locale (Locale)
+ reporting_identifier (string, optional, nullable)
+ vat_number: 974997534 (number, optional, nullable)
+ uk_vat_registered (YesOrNo)
+ description (string, optional, nullable) - Description of the publisher
+ im_provider: Skype (string, optional, nullable)
+ im_username: elisangis (string, optional, nullable)
+ company_name: Demo Publisher
+ is_lead_user (YesOrNo, nullable)
+ is_foreign_network (YesOrNo, nullable)
+ company_division (string, optional, nullable)

## Publisher Base (object)
+ Include Publisher Update
+ Include Time Info
+ account_name: publisher123 (required)
+ vertical_name: Other (string, optional)
+ vertical: 10 (number, required)
+ promotional_method_name: Portal (string, optional)
+ promotional_method: 10 (number, required)
+ vat_number: 974997534 (number, optional, nullable)
+ uk_vat_registered (YesOrNo)
+ description (string, optional, nullable) - Description of the publisher
+ company_name: Demo Publisher
+ company_division (string, optional, nullable)
+ operating_country (Country)
+ Include Time Info
+ default_currency (Currency)
+ Include Phone
+ contact_name: Pete Cheyne
+ contact_email: demo@performancehorizon.com
+ contact_locale (Locale)
+ im_provider: Skype (string, optional, nullable)
+ im_username: elisangis (string, optional, nullable)
+ Include Signup IP
+ is_lead_user (YesOrNo, nullable)
+ is_foreign_network (YesOrNo, nullable)

## Publisher Website Base (object)
+ website_url: http://www.performancehorizon.com (required)
Expand Down Expand Up @@ -61,16 +70,12 @@
+ Include Publisher Base
+ network_status (Status)
+ network_id: 1l1000003 - ID of the network this publisher belongs to
+ network_notes (string, optional, nullable)
+ campaign_select (string, optional, nullable)
+ is_affiliate_user (YesOrNo)
+ foreign_identifier (string, optional, nullable)
+ reporting_identifier (string, optional, nullable)
+ gst_registered (string, optional, nullable)
+ us_tax_state (string, optional, nullable)
+ abn (string, optional, nullable)
+ websites (array[Publisher Website])
+ databases (array[Publisher Database])
+ legal_entity (Country)

## Phone (object)
Expand All @@ -82,7 +87,7 @@

## Time Info (object)
+ reporting_timezone (Timezone)
+ week_start: Monday
+ week_start (WeekDay)

## Time Range (object)
+ start_date_time: `2013-08-31 15:00:00` (string, optional, nullable)
Expand Down Expand Up @@ -166,3 +171,12 @@
## Hypermedia (object)
+ response: /job/111111l1177306/response.json (string, optional, nullable) - The raw response
+ update: /job/111111l1177306.json (string, optional, nullable) - The update URI

## WeekDay (enum)
+ Monday
+ Tuesday
+ Wednesday
+ Thursday
+ Friday
+ Saturday
+ Sunday